Build #3 for XML-0.0.1.0

[all reports]

Package XML-0.0.1.0
Install DependencyFailed XML-0.0.1.0
Docs NotTried
Tests NotTried
Time submitted 2018-08-19 06:37:00.538428748 UTC
Compiler ghc-8.4.3
OS linux
Arch x86_64
Dependencies base-4.11.1.0, base-unicode-symbols-0.2.2.4, hs-functors-0.1.3.0, multivector-0.1.0.0, txt-0.0.2.1, util-0.1.10.1, vector-0.12.0.1
Flags none

Code Coverage

No Code Coverage was submitted for this report.

Build log

[view raw]

Resolving dependencies...
Configuring hs-functors-0.1.3.0...
Configuring base-unicode-symbols-0.2.2.4...
Building hs-functors-0.1.3.0...
Building base-unicode-symbols-0.2.2.4...
Installed base-unicode-symbols-0.2.2.4
Configuring primitive-0.6.4.0...
Building primitive-0.6.4.0...
Installed hs-functors-0.1.3.0
Configuring utf8-string-1.0.1.1...
Building utf8-string-1.0.1.1...
Installed utf8-string-1.0.1.1
Configuring util-0.1.10.1...
Building util-0.1.10.1...
Installed util-0.1.10.1
Configuring txt-0.0.2.1...
Building txt-0.0.2.1...
Installed primitive-0.6.4.0
Failed to install txt-0.0.2.1
Build log ( /home/builder/.cabal/logs/ghc-8.4.3/txt-0.0.2.1-3hTp5Y1c2Z8LZIMJbc2XCN.log ):
cabal: Entering directory '/tmp/cabal-tmp-5873/txt-0.0.2.1'
Configuring txt-0.0.2.1...
Preprocessing library for txt-0.0.2.1..
Building library for txt-0.0.2.1..
[1 of 4] Compiling Data.Text.Lazy.Private ( Data/Text/Lazy/Private.hs, dist/build/Data/Text/Lazy/Private.o )
[2 of 4] Compiling Data.Text.Private ( Data/Text/Private.hs, dist/build/Data/Text/Private.o )
[3 of 4] Compiling Data.Text.Lazy   ( Data/Text/Lazy.hs, dist/build/Data/Text/Lazy.o )

Data/Text/Lazy.hs:45:41: error:
    Not in scope: ‘B.findIndexEnd’
    Perhaps you meant one of these:
      ‘B.findIndex’ (imported from Data.ByteString.Lazy),
      ‘B.elemIndexEnd’ (imported from Data.ByteString.Lazy)
    Module ‘Data.ByteString.Lazy’ does not export ‘findIndexEnd’.
   |
45 | unsnoc (Text xs) = [(Text xs, x) | k <- B.findIndexEnd isStartByte xs
   |                                         ^^^^^^^^^^^^^^
cabal: Leaving directory '/tmp/cabal-tmp-5873/txt-0.0.2.1'
Configuring vector-0.12.0.1...
Building vector-0.12.0.1...
Installed vector-0.12.0.1
cabal: Error: some packages failed to install:
XML-0.0.1.0-KDf7l7EtHAUAfoIYKklrHp depends on XML-0.0.1.0 which failed to
install.
txt-0.0.2.1-3hTp5Y1c2Z8LZIMJbc2XCN failed during the building phase. The
exception was:
ExitFailure 1